#ifndef FETE_H
#define FETE_H
#include "fetebase.h"

class Fete : public FeteBase
{ 
    Q_OBJECT

public:
    Fete( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~Fete();
	bool eventFilter(QObject*, QEvent*);

private slots:
	void deactivated();
	void sizeChange(int);
	void returned();

private:
	int fontSize;
	int width;
	int x, y;
	void readSetting();
	void checkAndSet(QRegExp&, QString&, int&);
	QString text;
};

#endif // FETE_H
